Problem updating from beta3 to beta4


 

Hi.
I am having a problem updating from beta3 to beta 4 of nvda 2021.1.

This is the first time I had an issue like this one.

I go in to help menu and I download the update.
I check the option about the incompatible addons and I press the install button.

I get the start music of the nvda installer.
The installer doesn't start and I get the following message.

---------------------------
Error
---------------------------
usage: nvda_noUIAccess.exe [-h] [-q] [-k] [-f LOGFILENAME]
                           [-l {10,12,15,20,30,40,50,100}] [-c CONFIGPATH]
                           [-m] [-s] [--disable-addons] [--debug-logging]
                           [--no-logging] [--no-sr-flag]
                           [--install | --install-silent | --create-portable | --create-portable-silent]
                           [--portable-path PORTABLEPATH] [--launcher]
                           [--enable-start-on-logon True|False]
                           [--copy-portable-config] [--ease-of-access]

error: argument -m/--minimal: ignored explicit argument '--log-level=10'
---------------------------
OK  
---------------------------
Nikos


Luke Davis
 

It is known, and being worked on.

https://github.com/nvaccess/nvda/issues/12574

Luke


 

Hi.
Thanks a lot for the information.
I downloaded beta4 manually from the website and it worked.
Nikos

On Wed, 23 Jun 2021 at 12:48, Luke Davis <luke@...> wrote:
It is known, and being worked on.

https://github.com/nvaccess/nvda/issues/12574

Luke







Quentin Christensen
 

As Luke noted, we are now aware of this issue - As a workaround for now, please download Beta 4 from the release announcement - https://www.nvaccess.org/post/nvda-2021-1beta4/ - and update that way.

Note that once Beta 5 comes out with a fix, you will need to update manually again (because the problem is in the version you are updating from - ie Beta 3 and Beta 4).

Thanks for your patience and apologies for the inconvenience - although this is a good example of the importance of beta versions and testing them - much better that we find this out now than after the final version was out.

Kind regards

Quentin.

On Wed, Jun 23, 2021 at 7:48 PM Luke Davis <luke@...> wrote:
It is known, and being worked on.

https://github.com/nvaccess/nvda/issues/12574

Luke








--
Quentin Christensen
Training and Support Manager


Chris
 

I had to download and run the installer for it to update to beta 4

 

Going through the check for update option under help, fails with error

 

From: Nikos Demetriou via groups.io
Sent: 23 June 2021 10:44
To: nvda@nvda.groups.io
Subject: [nvda] Problem updating from beta3 to beta4

 

Hi.

I am having a problem updating from beta3 to beta 4 of nvda 2021.1.

 

This is the first time I had an issue like this one.

 

I go in to help menu and I download the update.

I check the option about the incompatible addons and I press the install button.

 

I get the start music of the nvda installer.

The installer doesn't start and I get the following message.

 

---------------------------
Error
---------------------------
usage: nvda_noUIAccess.exe [-h] [-q] [-k] [-f LOGFILENAME]
                           [-l {10,12,15,20,30,40,50,100}] [-c CONFIGPATH]
                           [-m] [-s] [--disable-addons] [--debug-logging]
                           [--no-logging] [--no-sr-flag]
                           [--install | --install-silent | --create-portable | --create-portable-silent]
                           [--portable-path PORTABLEPATH] [--launcher]
                           [--enable-start-on-logon True|False]
                           [--copy-portable-config] [--ease-of-access]

error: argument -m/--minimal: ignored explicit argument '--log-level=10'
---------------------------
OK  
---------------------------

Nikos

 


cédric Paulet
 

Good afternoon,

 

I have the same error in the update process to update nvda to beta 4. And the same error to update alfa versions since today.

This error occurs for updating process of portables versions of nvda beta and alpha builds since today.

Why cause this error?

 

De : nvda@nvda.groups.io <nvda@nvda.groups.io> De la part de Nikos Demetriou via groups.io
Envoyé : mercredi 23 juin 2021 11:44
À : nvda@nvda.groups.io
Objet : [nvda] Problem updating from beta3 to beta4

 

Hi.

I am having a problem updating from beta3 to beta 4 of nvda 2021.1.

 

This is the first time I had an issue like this one.

 

I go in to help menu and I download the update.

I check the option about the incompatible addons and I press the install button.

 

I get the start music of the nvda installer.

The installer doesn't start and I get the following message.

 

---------------------------
Error
---------------------------
usage: nvda_noUIAccess.exe [-h] [-q] [-k] [-f LOGFILENAME]
                           [-l {10,12,15,20,30,40,50,100}] [-c CONFIGPATH]
                           [-m] [-s] [--disable-addons] [--debug-logging]
                           [--no-logging] [--no-sr-flag]
                           [--install | --install-silent | --create-portable | --create-portable-silent]
                           [--portable-path PORTABLEPATH] [--launcher]
                           [--enable-start-on-logon True|False]
                           [--copy-portable-config] [--ease-of-access]

error: argument -m/--minimal: ignored explicit argument '--log-level=10'
---------------------------
OK  
---------------------------

Nikos


Rosemarie Chavarria
 

I also had to go through the installer. I tried the "check for updates" and it failed too.



On 6/23/2021 4:55 AM, Chris via groups.io wrote:

I had to download and run the installer for it to update to beta 4

 

Going through the check for update option under help, fails with error

 

From: Nikos Demetriou via groups.io
Sent: 23 June 2021 10:44
To: nvda@nvda.groups.io
Subject: [nvda] Problem updating from beta3 to beta4

 

Hi.

I am having a problem updating from beta3 to beta 4 of nvda 2021.1.

 

This is the first time I had an issue like this one.

 

I go in to help menu and I download the update.

I check the option about the incompatible addons and I press the install button.

 

I get the start music of the nvda installer.

The installer doesn't start and I get the following message.

 

---------------------------
Error
---------------------------
usage: nvda_noUIAccess.exe [-h] [-q] [-k] [-f LOGFILENAME]
                           [-l {10,12,15,20,30,40,50,100}] [-c CONFIGPATH]
                           [-m] [-s] [--disable-addons] [--debug-logging]
                           [--no-logging] [--no-sr-flag]
                           [--install | --install-silent | --create-portable | --create-portable-silent]
                           [--portable-path PORTABLEPATH] [--launcher]
                           [--enable-start-on-logon True|False]
                           [--copy-portable-config] [--ease-of-access]

error: argument -m/--minimal: ignored explicit argument '--log-level=10'
---------------------------
OK  
---------------------------

Nikos

 


Rosemarie Chavarria
 

Hi,


It's better to install it from the announcement link instead of "check for updates". That's how I got it.



On 6/23/2021 2:43 AM, Nikos Demetriou via groups.io wrote:
Hi.
I am having a problem updating from beta3 to beta 4 of nvda 2021.1.

This is the first time I had an issue like this one.

I go in to help menu and I download the update.
I check the option about the incompatible addons and I press the install button.

I get the start music of the nvda installer.
The installer doesn't start and I get the following message.

---------------------------
Error
---------------------------
usage: nvda_noUIAccess.exe [-h] [-q] [-k] [-f LOGFILENAME]
                           [-l {10,12,15,20,30,40,50,100}] [-c CONFIGPATH]
                           [-m] [-s] [--disable-addons] [--debug-logging]
                           [--no-logging] [--no-sr-flag]
                           [--install | --install-silent | --create-portable | --create-portable-silent]
                           [--portable-path PORTABLEPATH] [--launcher]
                           [--enable-start-on-logon True|False]
                           [--copy-portable-config] [--ease-of-access]

error: argument -m/--minimal: ignored explicit argument '--log-level=10'
---------------------------
OK  
---------------------------
Nikos


Quentin Christensen
 

Just to reiterate my comment on this thread (and the beta announcement thread) from yesterday - there is a bug we are aware of when updating using check for updates.  Please download Beta 4 manually from the announcement and update that way, as Rosemarie indicated.


In general of course, it should work either way, and we would normally encourage people to try using different methods to identify exactly errors like this.

Meanwhile keep an eye out for Beta 5 likely later today or tomorrow.  In the meantime I would encourage those using languages other than English particularly to still try Beta 4 as it includes a lot of updated translations - if there are any issues with any of those, it would be great to identify those as soon as possible.  As far as we are aware - the only issue with Beta 4 is in updating it from within NVDA - once it's running, everything SHOULD (to our knowledge) work normally - but of course, that is why we put out these beta releases, so we can identify issues before the final version comes out.

Kind regards

Quentin.

On Thu, Jun 24, 2021 at 2:02 AM Rosemarie Chavarria <knitqueen2007@...> wrote:

Hi,


It's better to install it from the announcement link instead of "check for updates". That's how I got it.



On 6/23/2021 2:43 AM, Nikos Demetriou via groups.io wrote:
Hi.
I am having a problem updating from beta3 to beta 4 of nvda 2021.1.

This is the first time I had an issue like this one.

I go in to help menu and I download the update.
I check the option about the incompatible addons and I press the install button.

I get the start music of the nvda installer.
The installer doesn't start and I get the following message.

---------------------------
Error
---------------------------
usage: nvda_noUIAccess.exe [-h] [-q] [-k] [-f LOGFILENAME]
                           [-l {10,12,15,20,30,40,50,100}] [-c CONFIGPATH]
                           [-m] [-s] [--disable-addons] [--debug-logging]
                           [--no-logging] [--no-sr-flag]
                           [--install | --install-silent | --create-portable | --create-portable-silent]
                           [--portable-path PORTABLEPATH] [--launcher]
                           [--enable-start-on-logon True|False]
                           [--copy-portable-config] [--ease-of-access]

error: argument -m/--minimal: ignored explicit argument '--log-level=10'
---------------------------
OK  
---------------------------
Nikos



--
Quentin Christensen
Training and Support Manager